POST https://api.iglobalstores.com/v1/createTempCart
field↕
notes↕
boxCount
Example value: 22x15x15(1),8x8x4(2),32x22x14(1) Format: 箱の寸法と個数をコンマ区切りで並べたリストです。上記の例では合計4箱あります。リスト内の最初の箱は、長さ22インチ、幅15インチ、高さ15インチで、そのサイズの箱は1つだけです。8x8x4インチのサイズの箱は2つあります。同じ箱の寸法を複数回渡しても問題ありません。たとえば「22x15x15(1),22x15x15(1)」のように渡すと、22x15x15インチの箱が2つあることを意味します。このフィールドは、注文の発送に使用する箱を示します。加盟店が注文時点でこれを把握していることは想定していませんが、分かっている場合はstring形式で渡すことができます。
contShoppingURL
Zonos Checkout内の「Continue Shopping」ボタンのHREFを上書きするURLを渡すために使用します。string
domesticShippingCharge
国内配送料をZonos Checkoutに渡すために使用し、金額は配送料に加算されます。配送合計として追加するか、別の明細項目として表示するかを設定できます。positive floating point, two decimal places
商品カテゴリを渡すために使用し、複数カテゴリがある場合はパイプ区切りで渡すことができます。 Example values: “shoes” or “shoes|sport-shoes|discount-shoes”string
items[index]itemCustomization
Zonos Checkoutには表示されない商品の追加詳細を渡すために使用しますが、「orderDetail」APIサービスエンドポイントから取得できます。
items[index]itemHSCode
商品のHSコードを渡すために使用し、ピリオドの有無どちらでも構いません。 Example values: “3926901000” or “3926.90.1000”string
items[index].itemURL
商品ページのURLを渡すために使用します。string / URL
items[index].length
商品の長さを渡すために使用し、正確な配送見積もりのために強く推奨されます。長さの単位は
REQUIRED
インチです。string - positive floating point, two decimal places / integer (inches)
items[index].nonShippable
商品を配送、関税、税金の計算に含めるかどうかを示すために使用します。デジタルダウンロード、割引コード、手数料などは「true」の値で渡す必要があります。boolean: true or false
items[index].productId
明細数量を渡すために使用します。string
items[index].quantity
REQUIRED
明細数量を渡すために使用します。string
items[index].sku
商品SKU/UPCなどを渡すために使用します。string
items[index].unitPrice
REQUIRED
明細の単価を渡すために使用します。positive floating point, two decimal places / integer
items[index].weight
商品の重量を渡すために使用し、正確な配送見積もりのために強く推奨されます。重量単位はitems[index].itemWeightUnitsで別の単位が渡されない限りデフォルトで「LBS」です。string - positive floating point, two decimal places / integer
items[index].weightUnits
デフォルトの商品重量単位を上書きするために使用します。商品重量単位は、このフィールドで別の単位が渡されない限りデフォルトで「LBS」です。string - "LB", "OZ", "KG", or "G”
items[index].width
商品の幅を渡すために使用し、正確な配送見積もりのために強く推奨されます。幅の単位は
REQUIRED
インチです。string - positive floating point, two decimal places / integer (inches)
チェックアウトの作成
チェックアウトの作成
チェックアウト作成に関わるキー/値ペアを確認します。
このAPIエンドポイントは、顧客のカートから商品情報とカート内容をZonos APIに送信するために使用します。
JSONレスポンスには
tempCartUUID(Zonosシステム内の一意のカート識別子)が含まれます。これを使用して、顧客をZonos Checkoutにリダイレクトし、注文を完了します。属性
リクエストボディ内のJSONキー/値ペア
POST
https://api.iglobalstores.com/v1/createTempCartboxCountFormat: 箱の寸法と個数をコンマ区切りで並べたリストです。上記の例では合計4箱あります。リスト内の最初の箱は、長さ22インチ、幅15インチ、高さ15インチで、そのサイズの箱は1つだけです。8x8x4インチのサイズの箱は2つあります。同じ箱の寸法を複数回渡しても問題ありません。たとえば「22x15x15(1),22x15x15(1)」のように渡すと、22x15x15インチの箱が2つあることを意味します。このフィールドは、注文の発送に使用する箱を示します。加盟店が注文時点でこれを把握していることは想定していませんが、分かっている場合は
string形式で渡すことができます。contShoppingURLstringdomesticShippingChargepositive floating point, two decimal placesexternalConfirmationPageURLstringfooterHTMLURL encoded stringitemsREQUIRED
JSON stringitems[index].countryOfOriginstringitems[index].descriptionREQUIRED
stringitems[index].heightREQUIRED
string - positive floating point, two decimal places / integer (inches)items[index].imageURLREQUIRED
string / HTTPS URLitems[index]itemBrandstringitems[index]itemCategoryExample values: “shoes” or “shoes|sport-shoes|discount-shoes”
stringitems[index]itemCustomizationitems[index]itemHSCodeExample values: “3926901000” or “3926.90.1000”
stringitems[index].itemURLstring / URLitems[index].lengthREQUIRED
string - positive floating point, two decimal places / integer (inches)items[index].nonShippableboolean: true or falseitems[index].productIdstringitems[index].quantityREQUIRED
stringitems[index].skustringitems[index].unitPriceREQUIRED
positive floating point, two decimal places / integeritems[index].weightitems[index].itemWeightUnitsで別の単位が渡されない限りデフォルトで「LBS」です。string - positive floating point, two decimal places / integeritems[index].weightUnitsstring - "LB", "OZ", "KG", or "G”items[index].widthREQUIRED
string - positive floating point, two decimal places / integer (inches)misc1 - misc6stringreferenceIdstringstoreIdREQUIRED
integer追加の文字列データ型
items[index].itemDescriptionLongitems[index].itemDescriptionDetaileditems[index].itemFabricContentitems[index].itemColoritems[index].itemLtlClassitems[index].statusitems[index].itemMaterial割引、クーポン、プロモコード
割引、クーポン、プロモコードをサーバーPOST経由でZonosに送信するには、パラメーター
“unitPrice”に負の値、“nonShippable”:trueを設定した別の商品として渡す必要があります。{"description": "Discount (10OFF) - 10% OFF","unitPrice": -15.5,"quantity": 1,"nonShippable": true}HTTPSレスポンス
成功時のHTTPレスポンス
Message format: JSON
{"tempCartUUID": "826b8f22-0de6-4717-90c7-366def7d0782"}レスポンスJSONの定義
tempCartUUIDstringパラメーターとして渡されます。エラーHTTPレスポンス
HTTP ERROR 422
Problem accessing /v2/createTempCart. Reason:The request entity had the following errors:
Zonos Checkoutへのリダイレクト
tempCartUUIDを含む成功レスポンスを受信した後、サーバーは以下で説明する適切なURLクエリ文字列パラメーターとともに、顧客のブラウザからZonos Checkoutへリダイレクトを送信します。URLリクエストパラメーター
tempCartUUIDREQUIRED
createTempCartAPIサービスエンドポイントを呼び出すことで取得します。string / GUIDcountrycountryパラメーターはZonos Checkout内で配送先国を事前選択します。サイトでZonos Hello JS(JavaScript)を使用している場合、JavaScriptメソッドzonos.country()を呼び出すことでこの値を取得できます。string(Length: 2)追加の文字列データ型
customerNamecustomerCompanycustomerEmailcustomerPhonecustomerAltPhonecustomerAddress1customerAddress2customerCitycustomerStatecustomerZipこのページは役に立ちましたか?